%global momorel 3
%define tarname libunique

Name:           unique
Version:        1.1.6
Release:        %{momorel}m%{?dist}
Summary:        Unique instance support for applications

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org/~ebassi/source/
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%{tarname}/1.1/%{tarname}-%{version}.tar.bz2

NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dbus-glib-devel >= 0.80
BuildRequires:  gnome-doc-utils-devel >= 0.16.0
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  glib2-devel  >= 2.20.0
BuildRequires:  gtk2-devel >= 2.16.0
BuildRequires:  libX11-devel
BuildRequires:  gir-repository >= 0.6.5

Provides: %{tarname}

%description
Unique is a library for writing single instance applications, that is
applications that are run once and every further call to the same binary
either exits immediately or sends a command to the running instance.

%package devel
Summary: Libraries and headers for Unique
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gtk-doc
Requires: dbus-glib-devel
Requires: gtk2-devel

Provides: %{tarname}-devel

%description devel
Headers and libraries for Unique.

%prep
%setup -q -n %{tarname}-%{version}

%build
gtkdocize --copy
autoreconf -vfi

%configure --enable-gtk-doc \
    --disable-static \
    --enable-introspection=yes \
    --enable-dbus=yes \
    
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libunique-*.so.*
%exclude %{_libdir}/libunique-*.la

# introspection
%{_libdir}/girepository-1.0/Unique-1.0.typelib
%{_datadir}/gir-1.0/Unique-1.0.gir

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/unique/
%{_includedir}/unique-1.0/
%{_libdir}/pkgconfig/unique-*.pc
%{_libdir}/libunique-*.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.6-3m)
- full rebuild for mo7 release

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.6-2m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sun Nov 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.6-1m)
- update 1.1.6

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.2-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.2-1m)
- update 1.1.2

* Sat Jul 11 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.8-2m)
- replace gnome-doc-utils with gnome-doc-utils-devel

* Sun Mar 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.8-1m)
- update 1.0.8
-- rename unique -> libunique (tarname)

* Tue Mar 17 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.6-2m)
- rebuild against glib2 >= 2.19.8
-- remove -fno-strict-aliasing workaround for gcc44

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.6-1m)
- update to 1.0.6

* Wed Feb  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.4-3m)
- build with -fno-strict-aliasing when gcc44

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.4-2m)
- rebuild against rpm-4.6

* Wed Jul  9 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.4-1m)
- Initial commit Momonga Linux. import from Fedora

* Fri May 16 2008 Richard Hughes  <rhughes@redhat.com> - 0.9.4-5
- More updates to the spec file from Dan Horak, rh#446407

* Thu May 15 2008 Richard Hughes  <rhughes@redhat.com> - 0.9.4-4
- Updates to the spec file from Dan Horak, rh#446407

* Thu May 08 2008 Richard Hughes  <rhughes@redhat.com> - 0.9.4-3
- Initial version

